/****************************************************************************
** AMCPushButton meta object code from reading C++ file 'amcpushbutton.h'
**
** Created: Thu Jan 29 00:51:51 2004
**      by: The Qt MOC ($Id: amcpushbutton.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "amcpushbutton.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *AMCPushButton::className() const
{
    return "AMCPushButton";
}

QMetaObject *AMCPushButton::metaObj = 0;

void AMCPushButton::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QPushButton::className(), "QPushButton") != 0 )
	badSuperclassWarning("AMCPushButton","QPushButton");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString AMCPushButton::tr(const char* s)
{
    return qApp->translate( "AMCPushButton", s, 0 );
}

QString AMCPushButton::tr(const char* s, const char * c)
{
    return qApp->translate( "AMCPushButton", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* AMCPushButton::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QPushButton::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    QMetaData::Access *slot_tbl_access = 0;
    metaObj = QMetaObject::new_metaobject(
	"AMCPushButton", "QPushButton",
	0, 0,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
